#include <stdio.h>

int main() {
    int n[8];
    for (int i = 0; i < 8; i++){
        printf("num %d: ",i);
        scanf("%d", &n[i]);
    }
    for (int i = 7; i > 0; --i)
        printf("%d ", n[i]);
    printf("\n");
    return 0;    
}
